|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QBasicTimer Class Reference

The QBasicTimer class provides timer events for QObjects. More...

    #include <QBasicTimer>

Part of the QtCore module.

- List of all members, including inherited members

### Public Functions

- QBasicTimer ()
- ~QBasicTimer ()
- bool isActive () const
- void start ( int msec, QObject * object )
- void stop ()
- int timerId () const

## Detailed Description

The QBasicTimer class provides timer events for QObjects.

This is a fast, lightweight, and low-level class used by Qt internally. We recommend using the higher-level QTimer class rather than this class if you want to use timers in your applications.

To use this class, create a QBasicTimer, and call its start() function with a timeout interval and with a pointer to a QObject subclass. When the timer times out it will send a timer event to the QObject subclass. The timer can be stopped at any time using stop(). isActive() returns true for a timer that is running; i.e. it has been started, has not reached the timeout time, and has not been stopped. The timer's ID can be retrieved using timerId().

The Wiggly example uses QBasicTimer to repaint a widget at regular intervals.

See also QTimer, QTimerEvent, QObject::timerEvent(), and Timers Overview.

## Member Function Documentation

### QBasicTimer::QBasicTimer ()

Contructs a basic timer.

See also start().

### QBasicTimer::~QBasicTimer ()

Destroys the basic timer.

### bool QBasicTimer::isActive () const

Returns true if the timer is running, has not yet timed out, and has not been stopped; otherwise returns false.

See also start() and stop().

### void QBasicTimer::start ( int msec, QObject * object )

Starts (or restarts) the timer with a msec milliseconds timeout.

The given object will receive timer events.

See also stop(), isActive(), and QObject::timerEvent().

### void QBasicTimer::stop ()

Stops the timer.

See also start() and isActive().

### int QBasicTimer::timerId () const

Returns the timer's id.

See also QTimerEvent::timerId().